JavaScript API Reference
Class Index | File Index

## Classes

- wm
- wm.Bounds
- wm.Component
- wm.Container
- wm.Control
- wm.DataGrid
- wm.DataGridColumn
- wm.Dijit
- wm.expression
- wm.LiveForm
- wm.LiveVariable
- wm.LiveView
- wm.MavericksModel
- wm.NavigationCall
- wm.NavigationService
- wm.Object
- wm.Panel
- wm.Service
- wm.ServiceVariable
- wm.Variable

# Class wm.Bounds

Defined in: Control.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| wm.Bounds() Manages geometry for a rectangle, including margins, borders, and padding and frame-of-reference calculations.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getContentBounds() Get an object describing the content-box area.
| padBorderMarginChanged() Update metrics when padBorderMargin has changed.
| setBorder(inBorder) Set border extents in pixels.
| setBounds(inBox, inT, inW, inH) Set the outermost area of this box, including margin, border, and padding.
| setMargin(inMargin) Set margin extents in pixels.
| setPadding(inPadding) Set padding extents in pixels.

Class Detail
wm.Bounds()
Manages geometry for a rectangle, including margins, borders, and padding and frame-of-reference calculations.
Report errata or suggestions for Bounds.
Method Detail
{Object} getContentBounds()
Get an object describing the content-box area. l, t describe the position of the origin for objects in this frame. w, h describe the size of the content area of the box (inside margin, border, padding, and scrollbars).

Returns:
  {Object} {l: Number, t: Number, w: Number, h: Number}

Report errata or suggestions for getContentBounds.

padBorderMarginChanged()
Update metrics when padBorderMargin has changed.
Report errata or suggestions for padBorderMarginChanged.

setBorder(inBorder)
Set border extents in pixels.

Parameters:
{String||Number} inBorder
  "t, " || Number

Report errata or suggestions for setBorder.

setBounds(inBox, inT, inW, inH)
Set the outermost area of this box, including margin, border, and padding. l, t describe the position of the outer most corner of this box. w, h describe the size of the box, including margin, border, and padding.

Parameters:
{Object} inBox
  {l: Number, t: Number, w: Number, h: Number }
inT
inW
inH

Report errata or suggestions for setBounds.

setMargin(inMargin)
Set margin extents in pixels.

Parameters:
{String||Number} inMargin
  "t, " || Number

Report errata or suggestions for setMargin.

setPadding(inPadding)
Set padding extents in pixels.

Parameters:
{String||Number} inPadding
  "t, " || Number

Report errata or suggestions for setPadding.

Documentation generated by JsDoc Toolkit 2.0.1 on Wed Jun 03 2009 13:28:38 GMT-0700 (PDT)